aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/efivarfs
diff options
context:
space:
mode:
authorJeremy Kerr <jk@ozlabs.org>2013-02-27 17:05:53 -0800
committerLinus Torvalds <torvalds@linux-foundation.org>2013-02-27 19:10:24 -0800
commit033a1a7fe7e27b9320496ca7da6905a5f654a768 (patch)
treead0ccdff073807fe010e6c43c21a18b57dcaef8d /tools/testing/selftests/efivarfs
parentselftests: add tests for efivarfs (diff)
downloadlinux-dev-033a1a7fe7e27b9320496ca7da6905a5f654a768.tar.xz
linux-dev-033a1a7fe7e27b9320496ca7da6905a5f654a768.zip
selftests/efivarfs: add empty file creation test
Signed-off-by: Jeremy Kerr <jk@ozlabs.org> Cc: Matt Fleming <matt.fleming@intel.com> Cc: Lingzhu Xiang <lxiang@redhat.com> Cc: Dave Young <dyoung@redhat.com> Signed-off-by: Andrew Morton <akpm@linux-foundation.org> Signed-off-by: Linus Torvalds <torvalds@linux-foundation.org>
Diffstat (limited to 'tools/testing/selftests/efivarfs')
-rw-r--r--tools/testing/selftests/efivarfs/efivarfs.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/testing/selftests/efivarfs/efivarfs.sh b/tools/testing/selftests/efivarfs/efivarfs.sh
index e8c0d27b381b..3af4b370e70d 100644
--- a/tools/testing/selftests/efivarfs/efivarfs.sh
+++ b/tools/testing/selftests/efivarfs/efivarfs.sh
@@ -58,6 +58,18 @@ test_create()
fi
}
+test_create_empty()
+{
+ local file=$efivarfs_mount/$FUNCNAME-$test_guid
+
+ : > $file
+
+ if [ ! -e $file ]; then
+ echo "$file can not be created without writing" >&2
+ exit 1
+ fi
+}
+
test_delete()
{
local attrs='\x07\x00\x00\x00'
@@ -112,6 +124,7 @@ check_prereqs
rc=0
run_test test_create
+run_test test_create_empty
run_test test_delete
run_test test_zero_size_delete
run_test test_open_unlink